
<div class="container-xl">

  <div class="card"  style="width: 90%;" style="padding: 2%;">
    <div class="card-header">
      Informations Utilisateur
    </div>
    <br>
    <form  (ngSubmit)="loadData()" >

      <table style=" border: 1px solid black; ">
        <thead>
        <tr style=" border: 1px solid black; ">
          <th style=" border: 1px solid black; ">RIB</th>
          <th style=" border: 1px solid black; ">Solde</th>
        </tr>
        </thead>

        <tbody>
        <tr *ngFor="let valuerib of data" style=" border: 1px solid black; " >
          <td style=" border: 1px solid black; ">{{valuerib.rib}}</td>
          <td style=" border: 1px solid black; ">{{valuerib.solde}}</td>
        </tr>
        </tbody>
      </table>

      <!--  <div class="col-md-3">

          <select id ="inputRIb">
            <option>RIB</option>
            <option *ngFor="let valuerib of data" [value]="valuerib" >{{valuerib.rib}}</option>
          </select>
        </div>
        <div class="col-md-3">

          <select id ="inputCompte">
            <option>Solde</option>
            <option *ngFor="let valuesolde of data" [value]="valuesolde" >{{valuesolde.solde}}</option>
          </select>
        </div> -->
    </form>
  </div>

  <form class="row g-3">
    <div class="card" style="width: 90%; padding: 2%;">
      <h1>Liste opération</h1>
      <div *ngIf="currentPageOperations && currentPageOperations.length > 0; else noOperations">
        <table class="table">
          <thead>
          <tr>
            <th (click)="sortBy = 'Date_operation'; toggleSortDirection()">Date</th>
            <th (click)="sortBy = 'Type_operation'; toggleSortDirection()">Type</th>
            <th (click)="sortBy = 'Montant_operation'; toggleSortDirection()">Montant</th>
            <th>Virement en votre faveur</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let operation of operations">
            <td>{{ operation.Date_operation | date: 'yyyy/MM/dd' }}</td>
            <td>{{ operation.Type_operation }}</td>
            <td>{{ operation.Montant_operation }}</td>
            <td>{{ operation.virement_en_votre_faveur }}</td>
          </tr>
          </tbody>
        </table>

        <nav aria-label="Page navigation example">
          <ul class="pagination">
            <li class="page-item" [class.disabled]="pageNo === 0">
              <a class="page-link" role="button" (click)="onPageChange(pageNo - 1)">Previous</a>
            </li>
            <li *ngFor="let page of [].constructor(totalPages); let i = index" class="page-item" [class.active]="pageNo === i">
              <a role="button" class="page-link" (click)="onPageChange(i)">{{ i + 1 }}</a>
            </li>
            <li class="page-item" [class.disabled]="pageNo + 1 === totalPages">
              <a class="page-link" role="button" (click)="onPageChange(pageNo + 1)">Next</a>
            </li>
          </ul>
        </nav>
      </div>

      <ng-template #noOperations>
        <table class="table">
          <thead>
          <tr>
            <th >Date</th>
            <th >Type</th>
            <th >Montant</th>
            <th>Virement en votre faveur</th>
          </tr>
          </thead>
          <tbody>
          <tr >
            <td></td>
            <td></td>
            <td></td>
            <td></td>
          </tr>
          </tbody>
        </table>
      </ng-template>
    </div>
  </form>
  <div class="card"  style="width: 90%;padding: 2%;">
    <h1>Liste comptes</h1>
    <div class="col-md-3">

      <label for="ribSelect">Select RIB: </label>
      <select id="ribSelect" [(ngModel)]="selectedRib" (change)="onRIBChange()">
        <option value="" selected>All RIBs</option>
        <option *ngFor="let valuerib of data" [ngValue]="valuerib.rib">{{ valuerib.rib }}</option>
      </select>
    </div>
  </div>




  <div class="container-xl">

    <div class="card"  style="width: 90%;" style="padding: 2%;">
      <div class="card-header">
        Nouveau Virement
      </div>
      <br>
      <div class="col-12">
        <button type="submit" class="btn btn-primary">Créer virement</button>
      </div>


    </div>

  </div>
</div>
